require 'perl'

##Perl__ = Perl.new("-e", "0")
Perl__ = Perl.new("-e", "0", *ARGV)

class Object
  def perl_eval(*args)
    Perl__.eval(*args)
  end

  def perl_send(*args)
    Perl__.send(*args)
  end

  def perl_new(*args)
    clazz = args.pop
    Perl__.send(clazz, "new", *args)
  end

  def perl_call(*args)
    Perl__.call(*args)
  end

end
